import java.util.*;
import java.io.*;

public class exchange
{
	private int size;
	private exchange[] field;
	private String name;
	private boolean isBought;
	private double value;	

	public exchange(int size)
	{
		this.size = size;
		this.field = new exchange[this.size];
	}

	public exchange(String name,boolean isBought, double value)
	{
		this.name = name;
		this.isBought = isBought;
		this.value = value;
	}

	public void insertExchange(String name,boolean isBought, double value, int index)
	{
		this.field[index] = new exchange(name,isBought,value); 
		
	}	
	
	public String getName()
	{
		return this.name;
	}

	public double getValue()
	{
		return this.value;
	}

	public boolean isbought()
	{
		return this.isBought;
	}

	
	public void solve()
	{
		String line = "";
		
		//Arrays.sort(this.field, new ExSort());		
		
		for(int i = 0; i < this.size; i++)
		{
			line = "";			
			line+=this.field[i].getName()+": ";
			int cnt = 0;			

			for(int j = 0; j < this.size; j++)
			{
				
				if(this.field[i].isbought())
				{
					if(this.field[i].isbought() != this.field[j].isbought())
					{
						if(this.field[i].getValue() >= this.field[j].getValue())
						{	
							line+=this.field[j].getName();
							cnt++;
						}
					}

						
				}
				else
				{
					if(this.field[i].isbought() != this.field[j].isbought())
					{
						if(this.field[i].getValue() <= this.field[j].getValue())
						{	
							line+=this.field[j].getName();
							cnt++;
						}
					}

				}

				
				
			}
			if(cnt == 0)
				{
					line+="NO-ONE";
				}
			
			System.out.println(line);			
			
		} // end for(i)
	}

	

	public static void main(String[] args) throws IOException
	{
		BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
		boolean firstLine = false;
		int counter = 0;
		int size = 0;
		exchange ex = new exchange(0);
		String line = null;
		boolean kupujici = false;
		while((line = reader.readLine())!="0 END")
		{
			kupujici = false;			
			if(!firstLine)
			{
				StringTokenizer t = new StringTokenizer(line);
				size = Integer.parseInt((String)t.nextElement());	
				ex = new exchange(size);
				counter = 0;
firstLine = true;
			}
			else
			{
				StringTokenizer t = new StringTokenizer(line);
				String jmeno = (String)t.nextElement();
				if ((String)t.nextElement() == "buy")
				{
					kupujici = true;
				}
				ex.insertExchange(jmeno,kupujici,Double.parseDouble((String)t.nextElement()), counter);
				counter++;
			}
			
			if(counter == size)
			{
				firstLine = false;
				ex.solve();
			} 
		}		

		/*
		exchange ex = new exchange(3);
		ex.insertExchange("OneBuyer",true,10.600, 0);
		ex.insertExchange("TooExpensive", false, 12.000, 1);
		ex.insertExchange("ThisWillWork", false, 10.600,2);
		ex.solve();
*/		

	} // end main

	class ExSort implements Comparator{
		public int compare(Object e1, Object e2){
			exchange ex1 = (exchange)e1;
			exchange ex2 = (exchange)e2;
			if(ex1.getValue()>ex2.getValue()){
				return 0;
			} 
			return 1;
		}
	}



} // end class exchange

